Subject: bug#22860: [PATCH] vc-hg: prompt for branch to merge

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Nov 2019 20:34:10 +0200

> From: Andrii Kolomoiets <[email-masked]>
> Date: Sat, 23 Nov 2019 20:12:27 +0200
> 
> See attached patch.

Thanks.

> +*** The Hg (Mercurial) back-end now use tag and branch names instead of
> +revision numbers as completion candidates on reading revision.

Why "instead of revision numbers"? it sounds like a backward
incompatible change.  Can't we use both revision numbers and
branch/tag names?

>  (defun vc-hg-merge-branch ()
> -  "Merge incoming changes into the current working directory.
> +  "Prompts for branch and merge it into the current branch.

"Prompt", not "prompts", for consistency with how we word our doc
strings for functions.